﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace SilverlightApplication3
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {

            var resName = (sender as RadButton).Tag;
            this.scheduleView.SelectedAppointments.Clear();
            var appsToSelect = (this.scheduleView.DataContext as MyViewModel).Appointments.Where(a => a.Resources.Any(r => r.DisplayName == resName.ToString()));

            foreach (Appointment app in appsToSelect)
            {
                this.scheduleView.SelectedAppointments.Add(app);
            }
        }
    }
}
